> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub Investor Warrant Detail

> Read one warrant row visible to the held sub-investor.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-sub-investor-warrant-detail
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-sub-investor-warrant-detail:
    get:
      operationId: getSubInvestorWarrantDetail
      summary: Get Sub Investor Warrant Detail
      description: |-
        Read one warrant row visible to the held sub-investor.

        Not available to API keys.
      parameters:
        - name: warrantID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubInvestorWarrantDetailResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSubInvestorWarrantDetailResponse:
      oneOf:
        - $ref: '#/components/schemas/GetSubInvestorWarrantDetailResponse1'
        - type: 'null'
    GetSubInvestorWarrantDetailResponse1:
      type: object
      properties:
        warrantID:
          type: string
        roleInOrgID:
          type: string
        warrantName:
          type: string
        investorEntityID:
          type:
            - string
            - 'null'
        warrantDescription:
          type:
            - string
            - 'null'
        warrantStatus:
          type: string
          enum:
            - DRAFT
            - AGREEMENT_SENT
            - AGREEMENT_SIGNED
            - EXERCISE_NOTICE_SENT
            - EXERCISE_NOTICE_SIGNED
            - EXERCISE_ELIGIBLE
            - PENDING_PAYMENT_VERIFICATION
            - PAID
            - IN_LOCKUP
            - SETTLED
            - PENDING_SETTLEMENT
        warrantConfigurationID:
          type: string
        firmName:
          type:
            - string
            - 'null'
        amount:
          type: number
        price:
          type:
            - number
            - 'null'
        totalValue:
          type:
            - number
            - 'null'
        issueDate:
          type: string
        expirationDate:
          type:
            - string
            - 'null'
        lockupPeriodMonths:
          type:
            - integer
            - 'null'
        lockupFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        unlockDateOverride:
          type:
            - string
            - 'null'
        agreementSignedAt:
          type:
            - string
            - 'null'
        exerciseNoticeTermsHash:
          type:
            - string
            - 'null'
        exerciseNoticeEnvelopeID:
          type:
            - string
            - 'null'
        exerciseNoticeEnvelopeCompletedAt:
          type:
            - string
            - 'null'
        exerciseNoticeSignedAt:
          type:
            - string
            - 'null'
        paidAt:
          type:
            - string
            - 'null'
        settledAt:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
        isSigned:
          type:
            - boolean
            - 'null'
        isPaid:
          type:
            - boolean
            - 'null'
        isExercised:
          type:
            - boolean
            - 'null'
        isUnderLockup:
          type:
            - boolean
            - 'null'
        isOffPlatform:
          type:
            - boolean
            - 'null'
        isTerminated:
          type:
            - boolean
            - 'null'
        warrantLabel:
          type:
            - string
            - 'null'
      required:
        - warrantID
        - roleInOrgID
        - warrantName
        - investorEntityID
        - warrantDescription
        - warrantStatus
        - warrantConfigurationID
        - firmName
        - amount
        - price
        - totalValue
        - issueDate
        - expirationDate
        - lockupPeriodMonths
        - lockupFrequencyType
        - unlockDateOverride
        - agreementSignedAt
        - exerciseNoticeTermsHash
        - exerciseNoticeEnvelopeID
        - exerciseNoticeEnvelopeCompletedAt
        - exerciseNoticeSignedAt
        - paidAt
        - settledAt
        - createdAt
        - updatedAt
        - legacyMigratedAt
        - legacyModelID
        - isSigned
        - isPaid
        - isExercised
        - isUnderLockup
        - isOffPlatform
        - isTerminated
        - warrantLabel
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
